# Generated from flickr_search-0.0.4.gem by gem2rpm -*- rpm-spec -*-
%global gem_name flickr_search

Name: rubygem-%{gem_name}
Version: 0.0.4
Release: 1%{?dist}
Summary: Simple photo search for Flickr
License: MIT
URL: http://github.com/velobuff/flickr_search/
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rspec) >= 2.14.1
# BuildRequires: rubygem(rspec) < 2.15
# BuildRequires: rubygem(vcr)
# BuildRequires: rubygem(webmock) >= 1.15.0
# BuildRequires: rubygem(webmock) < 1.16
# BuildRequires: rubygem(guard-rspec)
BuildArch: noarch

%description
Search photos on Flickr using your Flickr developer API credentials.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/Guardfile
%license %{gem_instdir}/LICENSE.txt
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/flickr_search.gemspec
%{gem_instdir}/spec

%changelog
* Tue Apr 19 2022 mockbuilder - 0.0.4-1
- Initial package
